Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87487 - xmms spews SIG_PIPE errors under KDE
Summary: xmms spews SIG_PIPE errors under KDE
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xmms
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-27 16:19 UTC by Chris Ricker
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version: 1.2.8-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-09 03:21:58 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-03-27 16:19:42 UTC
rhl 9 gold, fresh install

running xmms under KDE spews the following warning at startup, then periodically
while playing:

mcop warning: user defined signal handler found for SIG_PIPE, overriding
mcop warning: user defined signal handler found for SIG_PIPE, overriding
mcop warning: user defined signal handler found for SIG_PIPE, overriding

Comment 1 James McDermott 2003-03-31 20:06:13 UTC
there is a per user mcop lock in /tmp, which was not in 8.0. Removing this
"secret cookie" takes care of the warnings.

Comment 2 Bill Nottingham 2003-09-09 03:21:58 UTC
Should be fixed in xmms-1.2.8-1. xmms sets up a signal handler for SIG_PIPE;
it's reset around arts calls in 1.2.8-1.


Note You need to log in before you can comment on or make changes to this bug.